Bug 75255 - catting the /proc/ide/hpt366 file causes oops
catting the /proc/ide/hpt366 file causes oops
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
athlon Linux
low Severity low
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 01:43 EDT by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 11:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-06 01:43:37 EDT
Description of Problem:
Catting /proc/ide/hpt366 causes oops

Version-Release number of selected component (if applicable):
2.4.18-10

How Reproducible:
Believe easy. Cannot reboot to try again for a few days. Happened
immediately with the cat

Steps to Reproduce:
1. Have MB w/ HPT370/373 onboard
2. cat /proc/ide/hpt366
3. 

Actual Results:
Opps that hopefully gets attached below(first time using links, hope it can upload)

Expected Results:
Don't know

Additional Information:
Comment 1 Need Real Name 2002-10-06 01:49:22 EDT
 Unable to handle kernel NULL pointer dereference at virtual address 000000d0
  printing eip:
 c019cd75
 *pde = 00000000
 Oops: 0000
 ppp_async ppp_generic slhc autofs 3c59x usb-uhci usbcore ext3 jbd raid1
 CPU:    0
 EIP:    0010:[<c019cd75>]    Not tainted
 EFLAGS: 00010282

 EIP is at hpt366_get_info [kernel] 0x15 (2.4.18-10)
 eax: 00000000   ebx: 00000000   ecx: dfec4740   edx: 00000000
 esi: 00000c00   edi: dae67000   ebp: dae67000   esp: ce45bef4
 ds: 0018   es: 0018   ss: 0018
 Process cat (pid: 8347, stackpage=ce45b000)
 Stack: deadc960 0804fb2c dffdbe00 0804fb2c 00000282 00001000 00019e67 00000282
        00000000 c02d02e4 c02d02e4 c02d04b0 00000000 000001ff c0133205 00030002
        00000001 00000000 00000c00 00001000 c0158605 dae67000 ce45bf68 00000000
 Call Trace: [<c0133205>] __alloc_pages [kernel] 0x75
 [<c0158605>] proc_file_read [kernel] 0xa5
 [<c013a2f6>] sys_read [kernel] 0x96
 [<c0128205>] sys_brk [kernel] 0xc5
 [<c0108913>] system_call [kernel] 0x33

Note You need to log in before you can comment on or make changes to this bug.